## com.bbn.openmap.dataAccess.shape
Class DbfHandler.Rule

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.dataAccess.shape.DbfHandler.Rule

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, PropertyConsumer

Enclosing class:
  DbfHandler

public class DbfHandler.Rule
extends OMComponent

Field Summary
`protected DrawingAttributes` `da`
`protected DbfFile` `dbf`
`protected float` `displayMaxScale`
`protected float` `displayMinScale`
`protected int[]` `infolineIndicies`
`protected int` `keyIndex` The column index where the testing value can be found for the rule to compare agains the val.
`protected int[]` `labelIndicies`
`protected float` `labelMaxScale`
`protected float` `labelMinScale`
`protected DbfHandler.Op` `op`
`protected int[]` `tooltipIndicies`
`protected java.lang.Object` `val` The value that the query runs the operation against.

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`DbfHandler.Rule(DbfFile dbfFile)`

Method Summary
`boolean` `evaluate(java.lang.Object val)` Asks the Op class to evaluate the provided value against the Rules value.
`java.lang.String` `getColumnNamesFromIndicies(int[] indicies)` Given a prefix + ActionProperty, get the column names listed as the property value and figure out what the indexes of the columns are.
`DrawingAttributes` `getDa()`
`float` `getDisplayMaxScale()`
`float` `getDisplayMinScale()`
`int[]` `getIndicies(java.lang.String actionProperty, java.util.Properties props)` Given a prefix + ActionProperty, get the column names listed as the property value and figure out what the indexes of the columns are.
`int[]` `getInfolineIndicies()`
`int` `getKeyIndex()`
`int[]` `getLabelIndicies()`
`float` `getLabelMaxScale()`
`float` `getLabelMinScale()`
`DbfHandler.Op` `getOp()`
`java.util.Properties` `getProperties(java.util.Properties props)` PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent.
`int[]` `getTooltipIndicies()`
`java.lang.Object` `getVal()`
`void` `setDa(DrawingAttributes da)`
`void` `setDisplayMaxScale(float displayMaxScale)`
`void` `setDisplayMinScale(float displayMinScale)`
`void` `setInfolineIndicies(int[] infolineIndicies)`
`void` `setKeyIndex(int keyIndex)`
`void` `setLabelIndicies(int[] labelIndicies)`
`void` `setLabelMaxScale(float labelMaxScale)`
`void` `setLabelMinScale(float labelMinScale)`
`void` `setOp(DbfHandler.Op op)`
`void` `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the OMComponent.
`void` `setTooltipIndicies(int[] tooltipIndicies)`
`void` `setVal(java.lang.Object val)`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbf

    protected DbfFile dbf

### keyIndex

    protected int keyIndex

  The column index where the testing value can be found for the rule to compare agains the val.

### val

    protected java.lang.Object val

  The value that the query runs the operation against.

### op

    protected DbfHandler.Op op

### da

    protected DrawingAttributes da

### tooltipIndicies

    protected int[] tooltipIndicies

### infolineIndicies

    protected int[] infolineIndicies

### labelIndicies

    protected int[] labelIndicies

### displayMinScale

    protected float displayMinScale

### displayMaxScale

    protected float displayMaxScale

### labelMinScale

    protected float labelMinScale

### labelMaxScale

    protected float labelMaxScale

Constructor Detail

### DbfHandler.Rule

    public DbfHandler.Rule(DbfFile dbfFile)

Method Detail

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMComponent`
  Sets the properties for the OMComponent.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMComponent`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMComponent`
  PropertyConsumer method, to fill in a Properties object, reflecting the current values of the OMComponent. If the component has a propertyPrefix set, the property keys should have that prefix plus a separating '.' prepended to each propery key it uses for configuration.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMComponent`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### evaluate

    public boolean evaluate(java.lang.Object val)

  Asks the Op class to evaluate the provided value against the Rules value.

  Parameters:
    `val` -
  Returns:

### getIndicies

    public int[] getIndicies(java.lang.String actionProperty,
                             java.util.Properties props)

  Given a prefix + ActionProperty, get the column names listed as the property value and figure out what the indexes of the columns are.

  Parameters:
    `actionProperty` - prefix + ActionProperty
    `props` -
  Returns:
    int[] of column indexes in the dbf file reflecting the order and number of column names listed as the property value.

### getColumnNamesFromIndicies

    public java.lang.String getColumnNamesFromIndicies(int[] indicies)

  Given a prefix + ActionProperty, get the column names listed as the property value and figure out what the indexes of the columns are.

  Returns:
    String for use in properties of space-separated column names.

### getDa

    public DrawingAttributes getDa()

### setDa

    public void setDa(DrawingAttributes da)

### getDisplayMaxScale

    public float getDisplayMaxScale()

### setDisplayMaxScale

    public void setDisplayMaxScale(float displayMaxScale)

### getDisplayMinScale

    public float getDisplayMinScale()

### setDisplayMinScale

    public void setDisplayMinScale(float displayMinScale)

### getInfolineIndicies

    public int[] getInfolineIndicies()

### setInfolineIndicies

    public void setInfolineIndicies(int[] infolineIndicies)

### getKeyIndex

    public int getKeyIndex()

### setKeyIndex

    public void setKeyIndex(int keyIndex)

### getLabelIndicies

    public int[] getLabelIndicies()

### setLabelIndicies

    public void setLabelIndicies(int[] labelIndicies)

### getLabelMaxScale

    public float getLabelMaxScale()

### setLabelMaxScale

    public void setLabelMaxScale(float labelMaxScale)

### getLabelMinScale

    public float getLabelMinScale()

### setLabelMinScale

    public void setLabelMinScale(float labelMinScale)

### getOp

    public DbfHandler.Op getOp()

### setOp

    public void setOp(DbfHandler.Op op)

### getTooltipIndicies

    public int[] getTooltipIndicies()

### setTooltipIndicies

    public void setTooltipIndicies(int[] tooltipIndicies)

### getVal

    public java.lang.Object getVal()

### setVal

    public void setVal(java.lang.Object val)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details